<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for buyResponseContent StructType
 * @subpackage Structs
 */
class BuyResponseContent extends AbstractStructBase
{
    /**
     * The purchasestatus
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * @var \StructType\PurchaseStatusType[]
     */
    public $purchasestatus;
    /**
     * Constructor method for buyResponseContent
     * @uses BuyResponseContent::setPurchasestatus()
     * @param \StructType\PurchaseStatusType[] $purchasestatus
     */
    public function __construct(array $purchasestatus = array())
    {
        $this
            ->setPurchasestatus($purchasestatus);
    }
    /**
     * Get purchasestatus value
     * @return \StructType\PurchaseStatusType[]|null
     */
    public function getPurchasestatus()
    {
        return $this->purchasestatus;
    }
    /**
     * This method is responsible for validating the values passed to the setPurchasestatus method
     * This method is willingly generated in order to preserve the one-line inline validation within the setPurchasestatus method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validatePurchasestatusForArrayConstraintsFromSetPurchasestatus(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $buyResponseContentPurchasestatusItem) {
            // validation for constraint: itemType
            if (!$buyResponseContentPurchasestatusItem instanceof \StructType\PurchaseStatusType) {
                $invalidValues[] = is_object($buyResponseContentPurchasestatusItem) ? get_class($buyResponseContentPurchasestatusItem) : sprintf('%s(%s)', gettype($buyResponseContentPurchasestatusItem), var_export($buyResponseContentPurchasestatusItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The purchasestatus property can only contain items of type \StructType\PurchaseStatusType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set purchasestatus value
     * @throws \InvalidArgumentException
     * @param \StructType\PurchaseStatusType[] $purchasestatus
     * @return \StructType\BuyResponseContent
     */
    public function setPurchasestatus(array $purchasestatus = array())
    {
        // validation for constraint: array
        if ('' !== ($purchasestatusArrayErrorMessage = self::validatePurchasestatusForArrayConstraintsFromSetPurchasestatus($purchasestatus))) {
            throw new \InvalidArgumentException($purchasestatusArrayErrorMessage, __LINE__);
        }
        $this->purchasestatus = $purchasestatus;
        return $this;
    }
    /**
     * Add item to purchasestatus value
     * @throws \InvalidArgumentException
     * @param \StructType\PurchaseStatusType $item
     * @return \StructType\BuyResponseContent
     */
    public function addToPurchasestatus(\StructType\PurchaseStatusType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\PurchaseStatusType) {
            throw new \InvalidArgumentException(sprintf('The purchasestatus property can only contain items of type \StructType\PurchaseStatusType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->purchasestatus[] = $item;
        return $this;
    }
}
